"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const collection = require("./collection.cjs");
const SortedMap = require("./SortedMap.cjs");
const transactions = require("./transactions.cjs");
const errors = require("./errors.cjs");
const utils = require("./utils.cjs");
const proxy = require("./proxy.cjs");
const optimisticAction = require("./optimistic-action.cjs");
const queryBuilder = require("./query/query-builder.cjs");
const compiledQuery = require("./query/compiled-query.cjs");
const pipelineCompiler = require("./query/pipeline-compiler.cjs");
exports.CollectionImpl = collection.CollectionImpl;
exports.SchemaValidationError = collection.SchemaValidationError;
exports.collectionsStore = collection.collectionsStore;
exports.createCollection = collection.createCollection;
exports.SortedMap = SortedMap.SortedMap;
exports.Transaction = transactions.Transaction;
exports.createTransaction = transactions.createTransaction;
exports.getActiveTransaction = transactions.getActiveTransaction;
exports.NonRetriableError = errors.NonRetriableError;
exports.advanceGlobalVersion = utils.advanceGlobalVersion;
exports.getGlobalVersion = utils.getGlobalVersion;
exports.getLockedObjects = utils.getLockedObjects;
exports.createArrayChangeProxy = proxy.createArrayChangeProxy;
exports.createChangeProxy = proxy.createChangeProxy;
exports.withArrayChangeTracking = proxy.withArrayChangeTracking;
exports.withChangeTracking = proxy.withChangeTracking;
exports.createOptimisticAction = optimisticAction.createOptimisticAction;
exports.BaseQueryBuilder = queryBuilder.BaseQueryBuilder;
exports.queryBuilder = queryBuilder.queryBuilder;
exports.CompiledQuery = compiledQuery.CompiledQuery;
exports.compileQuery = compiledQuery.compileQuery;
exports.compileQueryPipeline = pipelineCompiler.compileQueryPipeline;
//# sourceMappingURL=index.cjs.map
