import { CollectionImpl, SchemaValidationError, collectionsStore, createCollection } from "./collection.js";
import { SortedMap } from "./SortedMap.js";
import { Transaction, createTransaction, getActiveTransaction } from "./transactions.js";
import { NonRetriableError } from "./errors.js";
import { advanceGlobalVersion, getGlobalVersion, getLockedObjects } from "./utils.js";
import { createArrayChangeProxy, createChangeProxy, withArrayChangeTracking, withChangeTracking } from "./proxy.js";
import { createOptimisticAction } from "./optimistic-action.js";
import { BaseQueryBuilder, queryBuilder } from "./query/query-builder.js";
import { CompiledQuery, compileQuery } from "./query/compiled-query.js";
import { compileQueryPipeline } from "./query/pipeline-compiler.js";
export {
  BaseQueryBuilder,
  CollectionImpl,
  CompiledQuery,
  NonRetriableError,
  SchemaValidationError,
  SortedMap,
  Transaction,
  advanceGlobalVersion,
  collectionsStore,
  compileQuery,
  compileQueryPipeline,
  createArrayChangeProxy,
  createChangeProxy,
  createCollection,
  createOptimisticAction,
  createTransaction,
  getActiveTransaction,
  getGlobalVersion,
  getLockedObjects,
  queryBuilder,
  withArrayChangeTracking,
  withChangeTracking
};
//# sourceMappingURL=index.js.map
