import { createTransaction } from "./transactions.js";
function createOptimisticAction(options) {
  const { mutationFn, onMutate, ...config } = options;
  return (variables) => {
    const transaction = createTransaction({
      ...config,
      // Wire the mutationFn to use the provided variables
      mutationFn: async (params) => {
        return await mutationFn(variables, params);
      }
    });
    transaction.mutate(() => {
      onMutate(variables);
    });
    return transaction;
  };
}
export {
  createOptimisticAction
};
//# sourceMappingURL=optimistic-action.js.map
