import { Comparator, Condition, ConditionOperand, Where } from './schema.js';
import { NamespacedRow } from '../types.js';
/**
 * Evaluates a Where clause (which is always an array of conditions and/or callbacks) against a nested row structure
 */
export declare function evaluateWhereOnNamespacedRow(namespacedRow: NamespacedRow, where: Where, mainTableAlias?: string, joinedTableAlias?: string): boolean;
/**
 * Evaluates a condition against a nested row structure
 */
export declare function evaluateConditionOnNamespacedRow(namespacedRow: NamespacedRow, condition: Condition, mainTableAlias?: string, joinedTableAlias?: string): boolean;
/**
 * Evaluates a simple condition against a nested row structure
 */
export declare function evaluateSimpleConditionOnNamespacedRow(namespacedRow: Record<string, unknown>, left: ConditionOperand, comparator: Comparator, right: ConditionOperand, mainTableAlias?: string, joinedTableAlias?: string): boolean;
