import { Query } from './schema.js';
import { IStreamBuilder } from '@electric-sql/d2mini';
import { KeyedStream } from '../types.js';
/**
 * Compiles a query into a D2 pipeline
 * @param query The query to compile
 * @param inputs Mapping of table names to input streams
 * @returns A stream builder representing the compiled query
 */
export declare function compileQueryPipeline<T extends IStreamBuilder<unknown>>(query: Query, inputs: Record<string, KeyedStream>): T;
